GDCM 3.2.1

Public Member Functions | List of all members
gdcm::OpenSSLP7CryptoFactory Class Reference

`#include <gdcmOpenSSLP7CryptoFactory.h>`

Inheritance diagram for gdcm::OpenSSLP7CryptoFactory:
[legend]
Collaboration diagram for gdcm::OpenSSLP7CryptoFactory:
[legend]

## Public Member Functions
| OpenSSLP7CryptoFactory (CryptoLib id)
CryptographicMessageSyntax * | CreateCMSProvider ()

## Additional Inherited Members
Public Types inherited from gdcm::CryptoFactory
enum | CryptoLib { DEFAULT = 0 , OPENSSL = 1 , CAPI = 2 , OPENSSLP7 = 3 }
Static Public Member Functions inherited from gdcm::CryptoFactory
static CryptoFactory * | GetFactoryInstance (CryptoLib id=DEFAULT)
Protected Member Functions inherited from gdcm::CryptoFactory
| CryptoFactory ()=default
| CryptoFactory (CryptoLib id)
| ~CryptoFactory ()=default

## Constructor & Destructor Documentation

## ◆ OpenSSLP7CryptoFactory()

gdcm::OpenSSLP7CryptoFactory::OpenSSLP7CryptoFactory | ( | CryptoLib | id | ) |
| inline

References gdcm::CryptoFactory::CryptoFactory(), and gdcmDebugMacro.

## Member Function Documentation

## ◆ CreateCMSProvider()

CryptographicMessageSyntax * gdcm::OpenSSLP7CryptoFactory::CreateCMSProvider | ( |  | ) |
| inline virtual

Implements gdcm::CryptoFactory.

The documentation for this class was generated from the following file:

- gdcmOpenSSLP7CryptoFactory.h